Subject: Re: bug#4705: 23.1.50; read-key makes menu-bar and tool-bar items disappear
From: Alan Third <[email-masked]>
To: Lars Magne Ingebrigtsen <[email-masked]>
Cc: [email-masked], Stefan Monnier <[email-masked]>, YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 02 May 2016 14:33:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>>> Steps to reproduce:
>>>   1. emacs -Q
>>>   2. ESC : (read-key) RET
>>
>>> Result:
>>>   The menu-bar and tool-bar items disappear except the
>>>   Lisp-Interaction menu.
>>
>> Indeed that's a bug: the Lisp-Interaction should also disappear.
>> It seems to be a bug in the code that builds the menu-bar from the
>> active keymaps.
>
> In Emacs 24, I get (sort of) the opposite result.  When I `M-:', the
> Lisp-Interaction menu disappears, and most of the tool bar items get
> greyed out.
>
> So I guess this has been fixed?

I confirm that in Emacs 25 it looks OK. When I type M-: the
lisp-interaction menu is replaced with a Minibuf one, which makes sense
to me.

-- 
Alan Third